<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("user_" . "id" => base64_decode("dXNlcl" . "9pZA=="), "_8cca4dd34e20c5344bb" . "2a30f2533c4e5" => base64_decode("ZnVsbF9uYW" . "1l"), "_28c85ce81fee6532980262893b6" . "f2425" => base64_decode("dXNlcm5h" . "bWU="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8cca4dd34e20c5344bb2a30f2533" . "c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_28c85ce81fee6532980262893b6f242" . "5"]);
    }
}